Imported Upstream version 1.39.3
[platform/upstream/gobject-introspection.git] / tests / scanner / annotationparser / Makefile.in
1 # Makefile.in generated by automake 1.13.4 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # -*- Mode: make -*-
18 # Copyright 2009-2010 Johan Dahlin
19 #
20 # This file defines variables that are compatible with
21 # Makefile.introspection, but for use within the gobject-introspection
22 # module itself.
23 #
24 VPATH = @srcdir@
25 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
26 am__make_running_with_option = \
27   case $${target_option-} in \
28       ?) ;; \
29       *) echo "am__make_running_with_option: internal error: invalid" \
30               "target option '$${target_option-}' specified" >&2; \
31          exit 1;; \
32   esac; \
33   has_opt=no; \
34   sane_makeflags=$$MAKEFLAGS; \
35   if $(am__is_gnu_make); then \
36     sane_makeflags=$$MFLAGS; \
37   else \
38     case $$MAKEFLAGS in \
39       *\\[\ \   ]*) \
40         bs=\\; \
41         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
42           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
43     esac; \
44   fi; \
45   skip_next=no; \
46   strip_trailopt () \
47   { \
48     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
49   }; \
50   for flg in $$sane_makeflags; do \
51     test $$skip_next = yes && { skip_next=no; continue; }; \
52     case $$flg in \
53       *=*|--*) continue;; \
54         -*I) strip_trailopt 'I'; skip_next=yes;; \
55       -*I?*) strip_trailopt 'I';; \
56         -*O) strip_trailopt 'O'; skip_next=yes;; \
57       -*O?*) strip_trailopt 'O';; \
58         -*l) strip_trailopt 'l'; skip_next=yes;; \
59       -*l?*) strip_trailopt 'l';; \
60       -[dEDm]) skip_next=yes;; \
61       -[JT]) skip_next=yes;; \
62     esac; \
63     case $$flg in \
64       *$$target_option*) has_opt=yes; break;; \
65     esac; \
66   done; \
67   test $$has_opt = yes
68 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
69 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
70 pkgdatadir = $(datadir)/@PACKAGE@
71 pkgincludedir = $(includedir)/@PACKAGE@
72 pkglibdir = $(libdir)/@PACKAGE@
73 pkglibexecdir = $(libexecdir)/@PACKAGE@
74 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
75 install_sh_DATA = $(install_sh) -c -m 644
76 install_sh_PROGRAM = $(install_sh) -c
77 install_sh_SCRIPT = $(install_sh) -c
78 INSTALL_HEADER = $(INSTALL_DATA)
79 transform = $(program_transform_name)
80 NORMAL_INSTALL = :
81 PRE_INSTALL = :
82 POST_INSTALL = :
83 NORMAL_UNINSTALL = :
84 PRE_UNINSTALL = :
85 POST_UNINSTALL = :
86 build_triplet = @build@
87 host_triplet = @host@
88 DIST_COMMON = $(top_srcdir)/common.mk $(srcdir)/Makefile.in \
89         $(srcdir)/Makefile.am $(top_srcdir)/build-aux/test-driver \
90         README
91 subdir = tests/scanner/annotationparser
92 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
93 am__aclocal_m4_deps = $(top_srcdir)/m4/gtk-doc.m4 \
94         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
95         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
96         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/python.m4 \
97         $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
98 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
99         $(ACLOCAL_M4)
100 mkinstalldirs = $(install_sh) -d
101 CONFIG_HEADER = $(top_builddir)/config.h
102 CONFIG_CLEAN_FILES =
103 CONFIG_CLEAN_VPATH_FILES =
104 AM_V_P = $(am__v_P_@AM_V@)
105 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
106 am__v_P_0 = false
107 am__v_P_1 = :
108 AM_V_GEN = $(am__v_GEN_@AM_V@)
109 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
110 am__v_GEN_0 = @echo "  GEN     " $@;
111 am__v_GEN_1 = 
112 AM_V_at = $(am__v_at_@AM_V@)
113 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
114 am__v_at_0 = @
115 am__v_at_1 = 
116 SOURCES =
117 DIST_SOURCES =
118 am__can_run_installinfo = \
119   case $$AM_UPDATE_INFO_DIR in \
120     n|no|NO) false;; \
121     *) (install-info --version) >/dev/null 2>&1;; \
122   esac
123 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
124 am__tty_colors_dummy = \
125   mgn= red= grn= lgn= blu= brg= std=; \
126   am__color_tests=no
127 am__tty_colors = { \
128   $(am__tty_colors_dummy); \
129   if test "X$(AM_COLOR_TESTS)" = Xno; then \
130     am__color_tests=no; \
131   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
132     am__color_tests=yes; \
133   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
134     am__color_tests=yes; \
135   fi; \
136   if test $$am__color_tests = yes; then \
137     red='\e[0;31m'; \
138     grn='\e[0;32m'; \
139     lgn='\e[1;32m'; \
140     blu='\e[1;34m'; \
141     mgn='\e[0;35m'; \
142     brg='\e[1m'; \
143     std='\e[m'; \
144   fi; \
145 }
146 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
147 am__vpath_adj = case $$p in \
148     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
149     *) f=$$p;; \
150   esac;
151 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
152 am__install_max = 40
153 am__nobase_strip_setup = \
154   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
155 am__nobase_strip = \
156   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
157 am__nobase_list = $(am__nobase_strip_setup); \
158   for p in $$list; do echo "$$p $$p"; done | \
159   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
160   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
161     if (++n[$$2] == $(am__install_max)) \
162       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
163     END { for (dir in files) print dir, files[dir] }'
164 am__base_list = \
165   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
166   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
167 am__uninstall_files_from_dir = { \
168   test -z "$$files" \
169     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
170     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
171          $(am__cd) "$$dir" && rm -f $$files; }; \
172   }
173 am__recheck_rx = ^[     ]*:recheck:[    ]*
174 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
175 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
176 # A command that, given a newline-separated list of test names on the
177 # standard input, print the name of the tests that are to be re-run
178 # upon "make recheck".
179 am__list_recheck_tests = $(AWK) '{ \
180   recheck = 1; \
181   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
182     { \
183       if (rc < 0) \
184         { \
185           if ((getline line2 < ($$0 ".log")) < 0) \
186             recheck = 0; \
187           break; \
188         } \
189       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
190         { \
191           recheck = 0; \
192           break; \
193         } \
194       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
195         { \
196           break; \
197         } \
198     }; \
199   if (recheck) \
200     print $$0; \
201   close ($$0 ".trs"); \
202   close ($$0 ".log"); \
203 }'
204 # A command that, given a newline-separated list of test names on the
205 # standard input, create the global log from their .trs and .log files.
206 am__create_global_log = $(AWK) ' \
207 function fatal(msg) \
208 { \
209   print "fatal: making $@: " msg | "cat >&2"; \
210   exit 1; \
211 } \
212 function rst_section(header) \
213 { \
214   print header; \
215   len = length(header); \
216   for (i = 1; i <= len; i = i + 1) \
217     printf "="; \
218   printf "\n\n"; \
219 } \
220 { \
221   copy_in_global_log = 1; \
222   global_test_result = "RUN"; \
223   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
224     { \
225       if (rc < 0) \
226          fatal("failed to read from " $$0 ".trs"); \
227       if (line ~ /$(am__global_test_result_rx)/) \
228         { \
229           sub("$(am__global_test_result_rx)", "", line); \
230           sub("[        ]*$$", "", line); \
231           global_test_result = line; \
232         } \
233       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
234         copy_in_global_log = 0; \
235     }; \
236   if (copy_in_global_log) \
237     { \
238       rst_section(global_test_result ": " $$0); \
239       while ((rc = (getline line < ($$0 ".log"))) != 0) \
240       { \
241         if (rc < 0) \
242           fatal("failed to read from " $$0 ".log"); \
243         print line; \
244       }; \
245       printf "\n"; \
246     }; \
247   close ($$0 ".trs"); \
248   close ($$0 ".log"); \
249 }'
250 # Restructured Text title.
251 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
252 # Solaris 10 'make', and several other traditional 'make' implementations,
253 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
254 # by disabling -e (using the XSI extension "set +e") if it's set.
255 am__sh_e_setup = case $$- in *e*) set +e;; esac
256 # Default flags passed to test drivers.
257 am__common_driver_flags = \
258   --color-tests "$$am__color_tests" \
259   --enable-hard-errors "$$am__enable_hard_errors" \
260   --expect-failure "$$am__expect_failure"
261 # To be inserted before the command running the test.  Creates the
262 # directory for the log if needed.  Stores in $dir the directory
263 # containing $f, in $tst the test, in $log the log.  Executes the
264 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
265 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
266 # will run the test scripts (or their associated LOG_COMPILER, if
267 # thy have one).
268 am__check_pre = \
269 $(am__sh_e_setup);                                      \
270 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
271 $(am__tty_colors);                                      \
272 srcdir=$(srcdir); export srcdir;                        \
273 case "$@" in                                            \
274   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
275     *) am__odir=.;;                                     \
276 esac;                                                   \
277 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
278   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
279 if test -f "./$$f"; then dir=./;                        \
280 elif test -f "$$f"; then dir=;                          \
281 else dir="$(srcdir)/"; fi;                              \
282 tst=$$dir$$f; log='$@';                                 \
283 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
284   am__enable_hard_errors=no;                            \
285 else                                                    \
286   am__enable_hard_errors=yes;                           \
287 fi;                                                     \
288 case " $(XFAIL_TESTS) " in                              \
289   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
290     am__expect_failure=yes;;                            \
291   *)                                                    \
292     am__expect_failure=no;;                             \
293 esac;                                                   \
294 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
295 # A shell command to get the names of the tests scripts with any registered
296 # extension removed (i.e., equivalently, the names of the test logs, with
297 # the '.log' extension removed).  The result is saved in the shell variable
298 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
299 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
300 # since that might cause problem with VPATH rewrites for suffix-less tests.
301 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
302 am__set_TESTS_bases = \
303   bases='$(TEST_LOGS)'; \
304   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
305   bases=`echo $$bases`
306 RECHECK_LOGS = $(TEST_LOGS)
307 AM_RECURSIVE_TARGETS = check recheck
308 TEST_SUITE_LOG = test-suite.log
309 TEST_EXTENSIONS = @EXEEXT@ .test
310 LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
311 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
312 am__set_b = \
313   case '$@' in \
314     */*) \
315       case '$*' in \
316         */*) b='$*';; \
317           *) b=`echo '$@' | sed 's/\.log$$//'`; \
318        esac;; \
319     *) \
320       b='$*';; \
321   esac
322 am__test_logs1 = $(TESTS:=.log)
323 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
324 TEST_LOGS = $(am__test_logs2:.test.log=.log)
325 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
326 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
327         $(TEST_LOG_FLAGS)
328 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
329 ACLOCAL = @ACLOCAL@
330 AMTAR = @AMTAR@
331 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
332 AR = @AR@
333 AUTOCONF = @AUTOCONF@
334 AUTOHEADER = @AUTOHEADER@
335 AUTOMAKE = @AUTOMAKE@
336 AWK = @AWK@
337 CAIRO_CFLAGS = @CAIRO_CFLAGS@
338 CAIRO_GIR_PACKAGE = @CAIRO_GIR_PACKAGE@
339 CAIRO_LIBS = @CAIRO_LIBS@
340 CAIRO_SHARED_LIBRARY = @CAIRO_SHARED_LIBRARY@
341 CC = @CC@
342 CCDEPMODE = @CCDEPMODE@
343 CFLAGS = @CFLAGS@
344 CPP = @CPP@
345 CPPFLAGS = @CPPFLAGS@
346 CYGPATH_W = @CYGPATH_W@
347 DEFS = @DEFS@
348 DEPDIR = @DEPDIR@
349 DLLTOOL = @DLLTOOL@
350 DSYMUTIL = @DSYMUTIL@
351 DUMPBIN = @DUMPBIN@
352 ECHO_C = @ECHO_C@
353 ECHO_N = @ECHO_N@
354 ECHO_T = @ECHO_T@
355 EGREP = @EGREP@
356 EXEEXT = @EXEEXT@
357 EXPANDED_BINDIR = @EXPANDED_BINDIR@
358 EXPANDED_DATADIR = @EXPANDED_DATADIR@
359 EXPANDED_LIBDIR = @EXPANDED_LIBDIR@
360 EXPANDED_LIBEXECDIR = @EXPANDED_LIBEXECDIR@
361 EXPANDED_LOCALSTATEDIR = @EXPANDED_LOCALSTATEDIR@
362 EXPANDED_SYSCONFDIR = @EXPANDED_SYSCONFDIR@
363 EXTRA_LINK_FLAGS = @EXTRA_LINK_FLAGS@
364 FFI_CFLAGS = @FFI_CFLAGS@
365 FFI_LIBS = @FFI_LIBS@
366 FFI_PC_CFLAGS = @FFI_PC_CFLAGS@
367 FFI_PC_LIBS = @FFI_PC_LIBS@
368 FFI_PC_PACKAGES = @FFI_PC_PACKAGES@
369 FGREP = @FGREP@
370 GIO_CFLAGS = @GIO_CFLAGS@
371 GIO_LIBS = @GIO_LIBS@
372 GIO_UNIX_CFLAGS = @GIO_UNIX_CFLAGS@
373 GIO_UNIX_LIBS = @GIO_UNIX_LIBS@
374 GIREPO_CFLAGS = @GIREPO_CFLAGS@
375 GIREPO_LIBS = @GIREPO_LIBS@
376 GIR_DIR = @GIR_DIR@
377 GIR_SUFFIX = @GIR_SUFFIX@
378 GI_VERSION = @GI_VERSION@
379 GLIBSRC = @GLIBSRC@
380 GLIB_CFLAGS = @GLIB_CFLAGS@
381 GLIB_LIBS = @GLIB_LIBS@
382 GMODULE_CFLAGS = @GMODULE_CFLAGS@
383 GMODULE_LIBS = @GMODULE_LIBS@
384 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
385 GOBJECT_INTROSPECTION_LIBDIR = @GOBJECT_INTROSPECTION_LIBDIR@
386 GOBJECT_LIBS = @GOBJECT_LIBS@
387 GREP = @GREP@
388 GTKDOC_CHECK = @GTKDOC_CHECK@
389 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
390 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
391 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
392 GTKDOC_MKPDF = @GTKDOC_MKPDF@
393 GTKDOC_REBASE = @GTKDOC_REBASE@
394 HTML_DIR = @HTML_DIR@
395 INSTALL = @INSTALL@
396 INSTALL_DATA = @INSTALL_DATA@
397 INSTALL_PROGRAM = @INSTALL_PROGRAM@
398 INSTALL_SCRIPT = @INSTALL_SCRIPT@
399 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
400 LD = @LD@
401 LDFLAGS = @LDFLAGS@
402 LEX = @LEX@
403 LEXLIB = @LEXLIB@
404 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
405 LIBOBJS = @LIBOBJS@
406 LIBS = @LIBS@
407 LIBTOOL = @LIBTOOL@
408 LIPO = @LIPO@
409 LN_S = @LN_S@
410 LTLIBOBJS = @LTLIBOBJS@
411 MAINT = @MAINT@
412 MAKEINFO = @MAKEINFO@
413 MANIFEST_TOOL = @MANIFEST_TOOL@
414 MKDIR_P = @MKDIR_P@
415 NM = @NM@
416 NMEDIT = @NMEDIT@
417 OBJDUMP = @OBJDUMP@
418 OBJEXT = @OBJEXT@
419 OTOOL = @OTOOL@
420 OTOOL64 = @OTOOL64@
421 PACKAGE = @PACKAGE@
422 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
423 PACKAGE_NAME = @PACKAGE_NAME@
424 PACKAGE_STRING = @PACKAGE_STRING@
425 PACKAGE_TARNAME = @PACKAGE_TARNAME@
426 PACKAGE_URL = @PACKAGE_URL@
427 PACKAGE_VERSION = @PACKAGE_VERSION@
428 PATH_SEPARATOR = @PATH_SEPARATOR@
429 PKG_CONFIG = @PKG_CONFIG@
430 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
431 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
432 POW_LIB = @POW_LIB@
433 PYTHON = @PYTHON@
434 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
435 PYTHON_INCLUDES = @PYTHON_INCLUDES@
436 PYTHON_LIBS = @PYTHON_LIBS@
437 PYTHON_PLATFORM = @PYTHON_PLATFORM@
438 PYTHON_PREFIX = @PYTHON_PREFIX@
439 PYTHON_VERSION = @PYTHON_VERSION@
440 RANLIB = @RANLIB@
441 SCANNER_CFLAGS = @SCANNER_CFLAGS@
442 SCANNER_LIBS = @SCANNER_LIBS@
443 SED = @SED@
444 SET_MAKE = @SET_MAKE@
445 SHELL = @SHELL@
446 STRIP = @STRIP@
447 VERSION = @VERSION@
448 YACC = @YACC@
449 abs_builddir = @abs_builddir@
450 abs_srcdir = @abs_srcdir@
451 abs_top_builddir = @abs_top_builddir@
452 abs_top_srcdir = @abs_top_srcdir@
453 ac_ct_AR = @ac_ct_AR@
454 ac_ct_CC = @ac_ct_CC@
455 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
456 am__include = @am__include@
457 am__leading_dot = @am__leading_dot@
458 am__quote = @am__quote@
459 am__tar = @am__tar@
460 am__untar = @am__untar@
461 bindir = @bindir@
462 build = @build@
463 build_alias = @build_alias@
464 build_cpu = @build_cpu@
465 build_os = @build_os@
466 build_vendor = @build_vendor@
467 builddir = @builddir@
468 datadir = @datadir@
469 datarootdir = @datarootdir@
470 docdir = @docdir@
471 dvidir = @dvidir@
472 exec_prefix = @exec_prefix@
473 host = @host@
474 host_alias = @host_alias@
475 host_cpu = @host_cpu@
476 host_os = @host_os@
477 host_vendor = @host_vendor@
478 htmldir = @htmldir@
479 includedir = @includedir@
480 infodir = @infodir@
481 install_sh = @install_sh@
482 libdir = @libdir@
483 libexecdir = @libexecdir@
484 localedir = @localedir@
485 localstatedir = @localstatedir@
486 mandir = @mandir@
487 mkdir_p = @mkdir_p@
488 oldincludedir = @oldincludedir@
489 pdfdir = @pdfdir@
490 pkgpyexecdir = @pkgpyexecdir@
491 pkgpythondir = @pkgpythondir@
492 prefix = @prefix@
493 program_transform_name = @program_transform_name@
494 psdir = @psdir@
495 pyexecdir = @pyexecdir@
496 pythondir = @pythondir@
497 sbindir = @sbindir@
498 sharedstatedir = @sharedstatedir@
499 srcdir = @srcdir@
500 sysconfdir = @sysconfdir@
501 target_alias = @target_alias@
502 top_build_prefix = @top_build_prefix@
503 top_builddir = @top_builddir@
504 top_srcdir = @top_srcdir@
505 INTROSPECTION_SCANNER = \
506     env PATH=.libs:$(PATH) \
507         LPATH=.libs \
508         CC="$(CC)" \
509         PYTHONPATH=$(top_builddir):$(top_srcdir) \
510         UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir) \
511         UNINSTALLED_INTROSPECTION_BUILDDIR=$(top_builddir) \
512         $(top_builddir)/g-ir-scanner
513
514 INTROSPECTION_SCANNER_ARGS = \
515     --verbose \
516     -I$(top_srcdir) \
517     --add-include-path=$(srcdir) \
518     --add-include-path=$(top_srcdir)/gir \
519     --add-include-path=$(builddir) \
520     --add-include-path=$(top_builddir)
521
522 INTROSPECTION_COMPILER = \
523     env PATH=.libs:$(PATH) \
524         $(top_builddir)/g-ir-compiler$(EXEEXT)
525
526 INTROSPECTION_COMPILER_ARGS = \
527     --includedir=$(srcdir) \
528     --includedir=$(top_srcdir)/gir \
529     --includedir=$(builddir) \
530     --includedir=$(top_builddir)
531
532 INTROSPECTION_DOCTOOL = \
533     env PATH=.libs:$(PATH) \
534         LPATH=.libs \
535         PYTHONPATH=$(top_builddir):$(top_srcdir) \
536         UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir) \
537         UNINSTALLED_INTROSPECTION_BUILDDIR=$(top_builddir) \
538         $(top_builddir)/g-ir-doc-tool
539
540 INTROSPECTION_DOCTOOL_ARGS = \
541     --add-include-path=$(srcdir) \
542     --add-include-path=$(top_srcdir)/gir \
543     --add-include-path=$(builddir) \
544     --add-include-path=$(top_builddir)
545
546 TESTS = \
547         test_parser.py \
548         test_patterns.py
549
550 TESTS_ENVIRONMENT = builddir=$(builddir) top_builddir=$(top_builddir) srcdir=$(srcdir) top_srcdir=$(top_srcdir) \
551         PYTHON=$(PYTHON) UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir)
552
553 LOG_COMPILER = $(top_srcdir)/tests/gi-tester
554 EXTRA_DIST = \
555         $(TESTS)                                \
556         README                                  \
557         tests.xsd                               \
558         gi/annotation_allow_none.xml            \
559         gi/annotation_array.xml         \
560         gi/annotation_attributes.xml            \
561         gi/annotation_closure.xml               \
562         gi/annotation_constructor.xml           \
563         gi/annotation_destroy.xml               \
564         gi/annotation_element_type.xml          \
565         gi/annotation_foreign.xml               \
566         gi/annotation_get_value_func.xml        \
567         gi/annotation_in.xml                    \
568         gi/annotation_in_out.xml                \
569         gi/annotation_method.xml                \
570         gi/annotation_out.xml                   \
571         gi/annotation_ref_func.xml              \
572         gi/annotation_rename_to.xml             \
573         gi/annotation_scope.xml         \
574         gi/annotation_set_value_func.xml        \
575         gi/annotation_skip.xml                  \
576         gi/annotation_transfer.xml              \
577         gi/annotation_type.xml                  \
578         gi/annotation_unref_func.xml            \
579         gi/annotation_value.xml         \
580         gi/annotation_virtual.xml               \
581         gi/annotations.xml                      \
582         gi/identifier.xml                       \
583         gi/identifier_section.xml               \
584         gi/identifier_symbol.xml                \
585         gi/parameter.xml                        \
586         gi/parameter_varargs.xml                \
587         gi/syntax.xml                           \
588         gi/syntax_indentation.xml               \
589         gi/syntax_multiline_annotations.xml     \
590         gi/syntax_nested_tags.xml               \
591         gi/syntax_paragraph_breaks.xml          \
592         gi/syntax_whitespace.xml                \
593         gi/tag.xml                              \
594         gi/tag_deprecated.xml                   \
595         gi/tag_description.xml                  \
596         gi/tag_returns.xml                      \
597         gi/tag_since.xml                        \
598         gi/tag_stability.xml                    \
599         gtkdoc/gobject/gtypes.h.xml             \
600         gtkdoc/gobject/gtypes.c.xml             \
601         gtkdoc/gobject/giface.h.xml             \
602         gtkdoc/gobject/giface.c.xml             \
603         gtkdoc/fail/tester.h.xml                \
604         gtkdoc/fail/tester.c.xml                \
605         gtkdoc/empty/tester.c.xml               \
606         gtkdoc/bugs/tester.h.xml                \
607         gtkdoc/bugs/tester.c.xml                \
608         gtkdoc/annotations/tester.h.xml \
609         gtkdoc/annotations/tester.c.xml \
610         gtkdoc/gobject/gobject.h.xml            \
611         gtkdoc/gobject/gobject.c.xml
612
613 all: all-am
614
615 .SUFFIXES:
616 .SUFFIXES: .log .test .test$(EXEEXT) .trs
617 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/common.mk $(am__configure_deps)
618         @for dep in $?; do \
619           case '$(am__configure_deps)' in \
620             *$$dep*) \
621               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
622                 && { if test -f $@; then exit 0; else break; fi; }; \
623               exit 1;; \
624           esac; \
625         done; \
626         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/scanner/annotationparser/Makefile'; \
627         $(am__cd) $(top_srcdir) && \
628           $(AUTOMAKE) --foreign tests/scanner/annotationparser/Makefile
629 .PRECIOUS: Makefile
630 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
631         @case '$?' in \
632           *config.status*) \
633             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
634           *) \
635             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
636             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
637         esac;
638 $(top_srcdir)/common.mk:
639
640 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
641         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
642
643 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
644         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
645 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
646         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
647 $(am__aclocal_m4_deps):
648
649 mostlyclean-libtool:
650         -rm -f *.lo
651
652 clean-libtool:
653         -rm -rf .libs _libs
654 tags TAGS:
655
656 ctags CTAGS:
657
658 cscope cscopelist:
659
660
661 # Recover from deleted '.trs' file; this should ensure that
662 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
663 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
664 # to avoid problems with "make -n".
665 .log.trs:
666         rm -f $< $@
667         $(MAKE) $(AM_MAKEFLAGS) $<
668
669 # Leading 'am--fnord' is there to ensure the list of targets does not
670 # expand to empty, as could happen e.g. with make check TESTS=''.
671 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
672 am--force-recheck:
673         @:
674
675 $(TEST_SUITE_LOG): $(TEST_LOGS)
676         @$(am__set_TESTS_bases); \
677         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
678         redo_bases=`for i in $$bases; do \
679                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
680                     done`; \
681         if test -n "$$redo_bases"; then \
682           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
683           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
684           if $(am__make_dryrun); then :; else \
685             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
686           fi; \
687         fi; \
688         if test -n "$$am__remaking_logs"; then \
689           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
690                "recursion detected" >&2; \
691         else \
692           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
693         fi; \
694         if $(am__make_dryrun); then :; else \
695           st=0;  \
696           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
697           for i in $$redo_bases; do \
698             test -f $$i.trs && test -r $$i.trs \
699               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
700             test -f $$i.log && test -r $$i.log \
701               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
702           done; \
703           test $$st -eq 0 || exit 1; \
704         fi
705         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
706         ws='[   ]'; \
707         results=`for b in $$bases; do echo $$b.trs; done`; \
708         test -n "$$results" || results=/dev/null; \
709         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
710         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
711         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
712         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
713         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
714         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
715         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
716         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
717           success=true; \
718         else \
719           success=false; \
720         fi; \
721         br='==================='; br=$$br$$br$$br$$br; \
722         result_count () \
723         { \
724             if test x"$$1" = x"--maybe-color"; then \
725               maybe_colorize=yes; \
726             elif test x"$$1" = x"--no-color"; then \
727               maybe_colorize=no; \
728             else \
729               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
730             fi; \
731             shift; \
732             desc=$$1 count=$$2; \
733             if test $$maybe_colorize = yes && test $$count -gt 0; then \
734               color_start=$$3 color_end=$$std; \
735             else \
736               color_start= color_end=; \
737             fi; \
738             echo "$${color_start}# $$desc $$count$${color_end}"; \
739         }; \
740         create_testsuite_report () \
741         { \
742           result_count $$1 "TOTAL:" $$all   "$$brg"; \
743           result_count $$1 "PASS: " $$pass  "$$grn"; \
744           result_count $$1 "SKIP: " $$skip  "$$blu"; \
745           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
746           result_count $$1 "FAIL: " $$fail  "$$red"; \
747           result_count $$1 "XPASS:" $$xpass "$$red"; \
748           result_count $$1 "ERROR:" $$error "$$mgn"; \
749         }; \
750         {                                                               \
751           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
752             $(am__rst_title);                                           \
753           create_testsuite_report --no-color;                           \
754           echo;                                                         \
755           echo ".. contents:: :depth: 2";                               \
756           echo;                                                         \
757           for b in $$bases; do echo $$b; done                           \
758             | $(am__create_global_log);                                 \
759         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
760         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
761         if $$success; then                                              \
762           col="$$grn";                                                  \
763          else                                                           \
764           col="$$red";                                                  \
765           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
766         fi;                                                             \
767         echo "$${col}$$br$${std}";                                      \
768         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
769         echo "$${col}$$br$${std}";                                      \
770         create_testsuite_report --maybe-color;                          \
771         echo "$$col$$br$$std";                                          \
772         if $$success; then :; else                                      \
773           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
774           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
775             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
776           fi;                                                           \
777           echo "$$col$$br$$std";                                        \
778         fi;                                                             \
779         $$success || exit 1
780
781 check-TESTS:
782         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
783         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
784         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
785         @set +e; $(am__set_TESTS_bases); \
786         log_list=`for i in $$bases; do echo $$i.log; done`; \
787         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
788         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
789         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
790         exit $$?;
791 recheck: all 
792         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
793         @set +e; $(am__set_TESTS_bases); \
794         bases=`for i in $$bases; do echo $$i; done \
795                  | $(am__list_recheck_tests)` || exit 1; \
796         log_list=`for i in $$bases; do echo $$i.log; done`; \
797         log_list=`echo $$log_list`; \
798         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
799                 am__force_recheck=am--force-recheck \
800                 TEST_LOGS="$$log_list"; \
801         exit $$?
802 test_parser.py.log: test_parser.py
803         @p='test_parser.py'; \
804         b='test_parser.py'; \
805         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
806         --log-file $$b.log --trs-file $$b.trs \
807         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
808         "$$tst" $(AM_TESTS_FD_REDIRECT)
809 test_patterns.py.log: test_patterns.py
810         @p='test_patterns.py'; \
811         b='test_patterns.py'; \
812         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
813         --log-file $$b.log --trs-file $$b.trs \
814         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
815         "$$tst" $(AM_TESTS_FD_REDIRECT)
816 .test.log:
817         @p='$<'; \
818         $(am__set_b); \
819         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
820         --log-file $$b.log --trs-file $$b.trs \
821         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
822         "$$tst" $(AM_TESTS_FD_REDIRECT)
823 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
824 @am__EXEEXT_TRUE@       @p='$<'; \
825 @am__EXEEXT_TRUE@       $(am__set_b); \
826 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
827 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
828 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
829 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
830
831 distdir: $(DISTFILES)
832         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
833         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
834         list='$(DISTFILES)'; \
835           dist_files=`for file in $$list; do echo $$file; done | \
836           sed -e "s|^$$srcdirstrip/||;t" \
837               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
838         case $$dist_files in \
839           */*) $(MKDIR_P) `echo "$$dist_files" | \
840                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
841                            sort -u` ;; \
842         esac; \
843         for file in $$dist_files; do \
844           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
845           if test -d $$d/$$file; then \
846             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
847             if test -d "$(distdir)/$$file"; then \
848               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
849             fi; \
850             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
851               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
852               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
853             fi; \
854             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
855           else \
856             test -f "$(distdir)/$$file" \
857             || cp -p $$d/$$file "$(distdir)/$$file" \
858             || exit 1; \
859           fi; \
860         done
861 check-am: all-am
862         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
863 check: check-am
864 all-am: Makefile
865 installdirs:
866 install: install-am
867 install-exec: install-exec-am
868 install-data: install-data-am
869 uninstall: uninstall-am
870
871 install-am: all-am
872         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
873
874 installcheck: installcheck-am
875 install-strip:
876         if test -z '$(STRIP)'; then \
877           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
878             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
879               install; \
880         else \
881           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
882             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
883             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
884         fi
885 mostlyclean-generic:
886         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
887         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
888         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
889
890 clean-generic:
891
892 distclean-generic:
893         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
894         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
895
896 maintainer-clean-generic:
897         @echo "This command is intended for maintainers to use"
898         @echo "it deletes files that may require special tools to rebuild."
899 clean: clean-am
900
901 clean-am: clean-generic clean-libtool mostlyclean-am
902
903 distclean: distclean-am
904         -rm -f Makefile
905 distclean-am: clean-am distclean-generic
906
907 dvi: dvi-am
908
909 dvi-am:
910
911 html: html-am
912
913 html-am:
914
915 info: info-am
916
917 info-am:
918
919 install-data-am:
920
921 install-dvi: install-dvi-am
922
923 install-dvi-am:
924
925 install-exec-am:
926
927 install-html: install-html-am
928
929 install-html-am:
930
931 install-info: install-info-am
932
933 install-info-am:
934
935 install-man:
936
937 install-pdf: install-pdf-am
938
939 install-pdf-am:
940
941 install-ps: install-ps-am
942
943 install-ps-am:
944
945 installcheck-am:
946
947 maintainer-clean: maintainer-clean-am
948         -rm -f Makefile
949 maintainer-clean-am: distclean-am maintainer-clean-generic
950
951 mostlyclean: mostlyclean-am
952
953 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
954
955 pdf: pdf-am
956
957 pdf-am:
958
959 ps: ps-am
960
961 ps-am:
962
963 uninstall-am:
964
965 .MAKE: check-am install-am install-strip
966
967 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
968         clean-libtool cscopelist-am ctags-am distclean \
969         distclean-generic distclean-libtool distdir dvi dvi-am html \
970         html-am info info-am install install-am install-data \
971         install-data-am install-dvi install-dvi-am install-exec \
972         install-exec-am install-html install-html-am install-info \
973         install-info-am install-man install-pdf install-pdf-am \
974         install-ps install-ps-am install-strip installcheck \
975         installcheck-am installdirs maintainer-clean \
976         maintainer-clean-generic mostlyclean mostlyclean-generic \
977         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
978         uninstall uninstall-am
979
980
981 # Tell versions [3.59,3.63) of GNU make to not export all variables.
982 # Otherwise a system limit (for SysV at least) may be exceeded.
983 .NOEXPORT: